# Generated from eitil-1.3.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name eitil

Name: rubygem-%{gem_name}
Version: 1.3.1
Release: 1%{?dist}
Summary: Eitil (eitje utility) never stops increasing your life's efficacy and productivity, yay!
License: MIT
URL: https://github.com/eitje-app/eitil_engine
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(rspec-rails) = 5.0.2
# BuildRequires: rubygem(pry-rescue)
# BuildRequires: rubygem(pry-stack_explorer)
# BuildRequires: rubygem(sqlite3)
# BuildRequires: rubygem(puma)
BuildArch: noarch

%description
Eitil (eitje utility) never stops increasing your life's efficacy and
productivity, yay!
Our gem currently exists of five seperate layers (Railties), which can be
integrated as standalone gems. 
This design is very much like that of rails, thus affinity with integrating
rails should make eitil feel familiar.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/eitil_core
%{gem_instdir}/eitil_integrate
%{gem_instdir}/eitil_store
%{gem_instdir}/eitil_support
%{gem_instdir}/eitil_wrapper
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec

%changelog
* Mon Sep 13 2021 mockbuilder - 1.3.1-1
- Initial package
